de.esprit.netsuite.netdata.event

## Class ChatMessageEvent

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.common.gui.event.GenericEvent
      - - de.esprit.netsuite.netdata.event.AbstractSessionEvent
        - - de.esprit.netsuite.netdata.event.ChatMessageEvent

- All Implemented Interfaces:
    DeepCloneable, Dumpable, NetEvent, java.io.Serializable, java.lang.Cloneable

      public class ChatMessageEvent
      extends AbstractSessionEvent

  This event carries the chat message information
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `ChatMessageEvent.Listener`

    - ### Nested classes/interfaces inherited from class de.esprit.common.gui.event.GenericEvent

      `GenericEvent.Source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChatMessageEvent(SessionId sessId, java.util.List<java.lang.String> userNames, boolean isRingup, java.lang.String text)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `createMessageString()`
    `java.util.List<java.lang.String>` | `getRecipients()`
    `java.lang.String` | `getSender()`
    `java.lang.String` | `getText()`
    `boolean` | `isRingup()`
    `boolean` | `needsCopyToSender()`
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.netsuite.netdata.event.AbstractSessionEvent

      `getSessionId, setWasCausedByMe, toDumpString, wasCausedByMe`

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ChatMessageEvent

          public ChatMessageEvent(SessionId sessId,
                          java.util.List<java.lang.String> userNames,
                          boolean isRingup,
                          java.lang.String text)

  - ### Method Detail

    - #### isRingup

          public boolean isRingup()

    - #### getText

          public java.lang.String getText()

    - #### getRecipients

          public java.util.List<java.lang.String> getRecipients()

    - #### getSender

          public java.lang.String getSender()

    - #### needsCopyToSender

          public boolean needsCopyToSender()

    - #### createMessageString

          public java.lang.String createMessageString()

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `AbstractSessionEvent`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.